// Questo file fa parte di MyTown.
// MyTown è software libero: puoi ridistribuirlo e/o modificarlo secondo
// i termini della GNU Affero General Public License come pubblicata dalla
// Free Software Foundation, versione 3.
// Distribuito senza ALCUNA GARANZIA; vedi la GNU AGPL v3 per i dettagli.
// Copyright (C) Kondor Consulting & Services S.r.l.
// SPDX-License-Identifier: AGPL-3.0-or-later

import { Component, Input } from '@angular/core';
import { IonicModule, ModalController } from '@ionic/angular';
import { DomSanitizer, SafeHtml, SafeResourceUrl } from '@angular/platform-browser';

import { FormsModule } from '@angular/forms';

@Component({
	selector: 'app-relazione-modal',
	templateUrl: './relazione-modal.component.html',
	imports: [FormsModule, IonicModule],
})
export class RelazioneModalComponent {
	@Input() reportUrl: SafeResourceUrl = '';

	constructor(private modalCtrl: ModalController, private sanitizer: DomSanitizer) {}

	dismiss() {
		this.modalCtrl.dismiss(0);
	}

	confirm() {
		this.modalCtrl.dismiss(1);
	}

	getSafeHtml(html: string): SafeHtml {
		return this.sanitizer.bypassSecurityTrustHtml(html);
	}
}
